%global srcname xgboost
%global common_description %{expand:
Scalable, Portable and Distributed Gradient Boosting (GBDT, GBRT or GBM) 
Library, for Python, R, Java, Scala, C++ and more. Runs on single machine, 
Hadoop, Spark, Dask, Flink and DataFlow.}

Name:           python-%{srcname}
Version:        1.6.1
Release:        1%{?dist}
Summary:        Scalable, non-blocking web server and tools

License:        ASL 2.0
URL:            https://github.com/dmlc/xgboost
Source0:        https://github.com/tornadoweb/tornado/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  gcc cmake python3-setuptools python3-pip python3-cffi gdb
BuildRequires:  python3-devel package-notes-srpm-macros vim pyproject-rpm-macros
BuildRequires:	python3-tox-current-env python3-wheel

%description %{common_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}

%package doc
Summary:        Examples for %{name}

%description doc %{common_description}

This package contains some example applications.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst

%files doc


%changelog



